package pliki;

import java.io.File;
import java.io.IOException;

import org.apache.commons.io.FileUtils;

public class SkopiujKatalog {
	// W standardowej bibliotece Javy nie ma operacji, która kopiowałaby na dysku cały katalog z plikami.
	// W tym przykładzie użyjemy biblioteki Apache Commons IO, która taką operację zawiera.
	public static void main(String[] args) {

		try {
			File zrodlo = new File("src/main/java");
			File cel = new File("/home/patryk/Pulpit/zrodla");
			FileUtils.copyDirectory(zrodlo, cel);
			System.out.println("Gotowe");
		} catch (IOException e) {
			e.printStackTrace();
		}

	}

}
